Mailinglist Archive: opensuse-updates (118 mails)

< Previous Next >
openSUSE-SU-2016:2651-1: moderate: Security update for sssd
openSUSE Security Update: Security update for sssd
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:2651-1
Rating: moderate
References: #1002973 #1004220 #880245 #993582
Cross-References: CVE-2014-0249
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves one vulnerability and has three fixes
is now available.

Description:


This update for sssd fixes one security issue and three bugs.

The following vulnerability was fixed:

- CVE-2014-0249: Incorrect expansion of group membership when encountering
a non-POSIX group. (bsc#880245)

The following non-security fixes were also included:

- Prevent crashes of statically linked binaries using getpwuid when sssd
is used and nscd is turned off or has caching disabled. (bsc#993582)
- Add logrotate configuration to prevent log files from growing too large
when running with debug mode enabled. (bsc#1004220)
- Order sudo rules by the same logic used by the native LDAP support from
sudo. (bsc#1002973)

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1238=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libipa_hbac-devel-1.11.5.1-16.1
libipa_hbac0-1.11.5.1-16.1
libipa_hbac0-debuginfo-1.11.5.1-16.1
libsss_idmap-devel-1.11.5.1-16.1
libsss_idmap0-1.11.5.1-16.1
libsss_idmap0-debuginfo-1.11.5.1-16.1
libsss_nss_idmap-devel-1.11.5.1-16.1
libsss_nss_idmap0-1.11.5.1-16.1
libsss_nss_idmap0-debuginfo-1.11.5.1-16.1
libsss_sudo-1.11.5.1-16.1
libsss_sudo-debuginfo-1.11.5.1-16.1
python-ipa_hbac-1.11.5.1-16.1
python-ipa_hbac-debuginfo-1.11.5.1-16.1
python-sss_nss_idmap-1.11.5.1-16.1
python-sss_nss_idmap-debuginfo-1.11.5.1-16.1
python-sssd-config-1.11.5.1-16.1
python-sssd-config-debuginfo-1.11.5.1-16.1
sssd-1.11.5.1-16.1
sssd-ad-1.11.5.1-16.1
sssd-ad-debuginfo-1.11.5.1-16.1
sssd-debuginfo-1.11.5.1-16.1
sssd-debugsource-1.11.5.1-16.1
sssd-ipa-1.11.5.1-16.1
sssd-ipa-debuginfo-1.11.5.1-16.1
sssd-krb5-1.11.5.1-16.1
sssd-krb5-common-1.11.5.1-16.1
sssd-krb5-common-debuginfo-1.11.5.1-16.1
sssd-krb5-debuginfo-1.11.5.1-16.1
sssd-ldap-1.11.5.1-16.1
sssd-ldap-debuginfo-1.11.5.1-16.1
sssd-proxy-1.11.5.1-16.1
sssd-proxy-debuginfo-1.11.5.1-16.1
sssd-tools-1.11.5.1-16.1
sssd-tools-debuginfo-1.11.5.1-16.1

- openSUSE Leap 42.1 (x86_64):

sssd-32bit-1.11.5.1-16.1
sssd-debuginfo-32bit-1.11.5.1-16.1


References:

https://www.suse.com/security/cve/CVE-2014-0249.html
https://bugzilla.suse.com/1002973
https://bugzilla.suse.com/1004220
https://bugzilla.suse.com/880245
https://bugzilla.suse.com/993582


< Previous Next >
This Thread
  • No further messages